<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-375"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20KKLAudioPlayer%28%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: KKLAudioPlayer()分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_k_k_l_audio_player_07_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> |
<a href="category_k_k_l_audio_player_07_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">KKLAudioPlayer()分类 参考</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a6284778beef2a2d389581d89a17269d6"><td class="memItemLeft" align="right" valign="top">AVPlayer *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#a6284778beef2a2d389581d89a17269d6">player</a></td></tr>
<tr class="separator:a6284778beef2a2d389581d89a17269d6"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a11e5527dddcb1ffe9357b4651f4ab948"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#a11e5527dddcb1ffe9357b4651f4ab948">audio</a></td></tr>
<tr class="separator:a11e5527dddcb1ffe9357b4651f4ab948"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aed8543adac80ee36a57fbe1645649ac8"><td class="memItemLeft" align="right" valign="top">NSError *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#aed8543adac80ee36a57fbe1645649ac8">error</a></td></tr>
<tr class="separator:aed8543adac80ee36a57fbe1645649ac8"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abdb86592b755d2b78812c2fe6456c9b7"><td class="memItemLeft" align="right" valign="top">KKLAudioPlayerStatus&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#abdb86592b755d2b78812c2fe6456c9b7">status</a></td></tr>
<tr class="separator:abdb86592b755d2b78812c2fe6456c9b7"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a93c0d8531da70db01d6dd9b8d8a0fc0f"><td class="memItemLeft" align="right" valign="top">CMTime&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#a93c0d8531da70db01d6dd9b8d8a0fc0f">currentTime</a></td></tr>
<tr class="separator:a93c0d8531da70db01d6dd9b8d8a0fc0f"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a2537ecac83a795290e033aac84057c12"><td class="memItemLeft" align="right" valign="top">id&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#a2537ecac83a795290e033aac84057c12">timeObserver</a></td></tr>
<tr class="separator:a2537ecac83a795290e033aac84057c12"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a569b22181b78c58cea7ce89af4e38888"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_k_k_l_audio_player_07_08.html#a569b22181b78c58cea7ce89af4e38888">isSeeking</a></td></tr>
<tr class="separator:a569b22181b78c58cea7ce89af4e38888"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">属性说明</h2>
<a id="a11e5527dddcb1ffe9357b4651f4ab948"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11e5527dddcb1ffe9357b4651f4ab948">◆&nbsp;</a></span>audio</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_k_k_l_audio_model-p.html">KKLAudioModel</a>&gt;) audio</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a93c0d8531da70db01d6dd9b8d8a0fc0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93c0d8531da70db01d6dd9b8d8a0fc0f">◆&nbsp;</a></span>currentTime</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CMTime) currentTime</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aed8543adac80ee36a57fbe1645649ac8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aed8543adac80ee36a57fbe1645649ac8">◆&nbsp;</a></span>error</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSError*) error</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a569b22181b78c58cea7ce89af4e38888"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a569b22181b78c58cea7ce89af4e38888">◆&nbsp;</a></span>isSeeking</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) isSeeking</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a6284778beef2a2d389581d89a17269d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6284778beef2a2d389581d89a17269d6">◆&nbsp;</a></span>player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (AVPlayer*) player</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="abdb86592b755d2b78812c2fe6456c9b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdb86592b755d2b78812c2fe6456c9b7">◆&nbsp;</a></span>status</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (KKLAudioPlayerStatus) status</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a2537ecac83a795290e033aac84057c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2537ecac83a795290e033aac84057c12">◆&nbsp;</a></span>timeObserver</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (id) timeObserver</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/AudioPlayer/<a class="el" href="_k_k_l_audio_player_8m.html">KKLAudioPlayer.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_k_k_l_audio_player_07_08.html">KKLAudioPlayer()</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>